package com.zd.airbottle.domain.vo;

import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;


/**
 * @Author: liujh
 * @Date: 2022/05/10/13:29
 * @Description:
 */
public class QpQualificationApplyExcelVo {

    /** 姓名 */
    @Excel(name = "姓名 ")
    @Length(message = "申请人长度不能超过200")
    @ApiModelProperty(value = "姓名 ")
    private String applyUser;

    /** 联系方式 */
    @Excel(name = "联系方式")
    @Length(message = "联系方式长度不能超过11")
    @ApiModelProperty(value = "联系方式")
    private String phone;


    /** 实验地点 */
    @Excel(name = "实验地点")
    @Length(message = "实验地点长度不能超过50")
    @ApiModelProperty(value = "实验地点")
    private String location;

    /** 气瓶数量 */
    @Excel(name = "气瓶数量")
    @ApiModelProperty(value = "气瓶数量")
    private Integer bottleNumber;

    /** 使用期限 */
    @Excel(name = "使用期限")
    @ApiModelProperty(value = "使用期限")
    private String strTime;


    public String getApplyUser() {
        return applyUser;
    }

    public void setApplyUser(String applyUser) {
        this.applyUser = applyUser;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Integer getBottleNumber() {
        return bottleNumber;
    }

    public void setBottleNumber(Integer bottleNumber) {
        this.bottleNumber = bottleNumber;
    }

    public String getStrTime() {
        return strTime;
    }

    public void setStrTime(String strTime) {
        this.strTime = strTime;
    }
}
